Bug 170322 - [UPDATE] dns/maradns: update to 1.4.12, copy to dns/maradns1
Summary: [UPDATE] dns/maradns: update to 1.4.12, copy to dns/maradns1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bernhard Froehlich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-02 10:10 UTC by takefu
Modified: 2012-08-04 16:10 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.60 KB, patch)
2012-08-02 10:10 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2012-08-02 10:10:07 UTC
- Update to 1.4.12
- Whitespace fixes
- Sourceforge is unregistered of MASTER_SITES
- Environment variable CC definition is irregular
- Change repository
    maradns -> maradns1
Port maintainer (decke@FreeBSD.org) is cc'd.

Fix: --- dns/maradns.patch begins here ---
PORTNAME=	maradns
-PORTVERSION=	1.4.10
+PORTNAME=	maradns1
+PORTVERSION=	1.4.12
 CATEGORIES=	dns
-MASTER_SITES=	http://www.maradns.org/download/1.4/${PORTVERSION}/ \
-		SF/${PORTNAME}/MaraDNS/${PORTVERSION}/
+MASTER_SITES=	http://www.maradns.org/download/1.4/
+#		SF/${PORTNAME}/MaraDNS/${PORTVERSION}/

 MAINTAINER=	decke@FreeBSD.org
 COMMENT=	DNS server with focus on security and simplicity
@@ -17,8 +17,12 @@
 LICENSE=	BSD
 LICENSE_FILE=	${WRKSRC}/COPYING

+DEPRECATED=	MaraDNS 1 end-of-life: June 21, 2015
+#EXPIRATION_DATE=	2015-06-21
+
 REINPLACE_ARGS=	-i ""
 MAKE_ENV=	FLAGS="${CFLAGS} ${PTHREAD_CFLAGS}"
+CONFIGURE_ENV=	LANG=

 USE_BZIP2=	yes
 USE_RC_SUBR=	${PORTNAME} zoneserver


o Secure. MaraDNS has a security history as good as or better than any other DNS
   server. For example, MaraDNS has always randomized, using a secure random
   number generator, the Query ID and source port of DNS queries; and was never
-  vulnerable to the "new" cache poisoning attack.
-
+  vulnerable to the "new" cache poisoning attack.
 o Supported. MaraDNS has a long history of being maintained and updated.
   Actively developed since 2001, MaraDNS continues to be fully supported: The
   most recent release was done on August 4, 2009. Deadwood, the code that will
-  become part of MaraDNS 2.0, is frequently updated.
-
+  become part of MaraDNS 2.0, is frequently updated.
 o Easy to use. A basic recursive configuration needs only a single three-line
   configuration file. A basic authoritative configuration needs only a four-line
   configuration file and a one-line zone file. MaraDNS is fully documented, with
-  both easy-to-follow tutorials and a complete and up-to-date reference manual.
-
+  both easy-to-follow tutorials and a complete and up-to-date reference manual.
 o Small. MaraDNS is well suited for embedded applications and other environments
   where the server must use the absolute minimum number of resources possible.
   MaraDNS' binary is smaller than that of any other currently maintained
-  recursive DNS server.
-
+  recursive DNS server.
 o Open Source. MaraDNS is fully open-source, The license is a two-clause BSD
   license that is almost identical to the FreeBSD license.
--- dns/maradns.patch ends here -----3BBAhXZPHfNEENx6mQe7voIB8kF5FhTfRdl9Hibvrz2pCBWo
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ruN /usr/ports/dns/maradns/Makefile dns/maradns1/Makefile
--- /usr/ports/dns/maradns/Makefile	2012-01-23 15:06:02.000000000 +0900
+++ dns/maradns1/Makefile	2012-08-02 14:02:00.000000000 +0900
@@ -5,10 +5,10 @@
 #
Comment 1 Edwin Groothuis freebsd_committer 2012-08-02 10:10:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->decke

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Bernhard Froehlich freebsd_committer 2012-08-04 15:34:07 UTC
The update looks good to me so I am already preparing an commit. I
will commit the update to dns/maradns because I think further plans
for the maradns 2 update should be discussed in PR ports/170323.

-- 
Bernhard Froehlich
http://www.bluelife.at/
Comment 3 dfilter service freebsd_committer 2012-08-04 16:05:42 UTC
Author: decke
Date: Sat Aug  4 15:05:23 2012
New Revision: 302012
URL: http://svn.freebsd.org/changeset/ports/302012

Log:
  - Update to 1.4.12
  - Whitespace fixes in pkg-descr
  - Remove SF from MASTER_SITES
  - Fix CC definition (fixes CLANG builds)
  
  PR:		ports/170322
  Submitted by:	Takefu <takefu@airport.fm>

Added:
  head/dns/maradns/files/patch-build_Makefile.freebsd   (contents, props changed)
Modified:
  head/dns/maradns/Makefile   (contents, props changed)
  head/dns/maradns/distinfo   (contents, props changed)
  head/dns/maradns/pkg-descr   (contents, props changed)

Modified: head/dns/maradns/Makefile
==============================================================================
--- head/dns/maradns/Makefile	Sat Aug  4 13:13:02 2012	(r302011)
+++ head/dns/maradns/Makefile	Sat Aug  4 15:05:23 2012	(r302012)
@@ -6,10 +6,9 @@
 #
 
 PORTNAME=	maradns
-PORTVERSION=	1.4.10
+PORTVERSION=	1.4.12
 CATEGORIES=	dns
-MASTER_SITES=	http://www.maradns.org/download/1.4/${PORTVERSION}/ \
-		SF/${PORTNAME}/MaraDNS/${PORTVERSION}/
+MASTER_SITES=	http://www.maradns.org/download/1.4/
 
 MAINTAINER=	decke@FreeBSD.org
 COMMENT=	DNS server with focus on security and simplicity
@@ -19,6 +18,7 @@ LICENSE_FILE=	${WRKSRC}/COPYING
 
 REINPLACE_ARGS=	-i ""
 MAKE_ENV=	FLAGS="${CFLAGS} ${PTHREAD_CFLAGS}"
+CONFIGURE_ENV=	LANG=
 
 USE_BZIP2=	yes
 USE_RC_SUBR=	${PORTNAME} zoneserver

Modified: head/dns/maradns/distinfo
==============================================================================
--- head/dns/maradns/distinfo	Sat Aug  4 13:13:02 2012	(r302011)
+++ head/dns/maradns/distinfo	Sat Aug  4 15:05:23 2012	(r302012)
@@ -1,2 +1,2 @@
-SHA256 (maradns-1.4.10.tar.bz2) = 3aaa2361341c559e1c91876544cfd5973ea960b9bfd5c8d0bb54617291f40555
-SIZE (maradns-1.4.10.tar.bz2) = 1121427
+SHA256 (maradns-1.4.12.tar.bz2) = 72c0e0fd10e4d9ed70d8c7addb9b0abd2cf2d23f6b477db3aefd69c9faa0893b
+SIZE (maradns-1.4.12.tar.bz2) = 1178772

Added: head/dns/maradns/files/patch-build_Makefile.freebsd
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/dns/maradns/files/patch-build_Makefile.freebsd	Sat Aug  4 15:05:23 2012	(r302012)
@@ -0,0 +1,15 @@
+--- /usr/ports/dns/maradns/files/patch-build_Makefile.freebsd 1970-01-01 09:00:00.000000000 +0900
++++ dns/maradns1/files/patch-build_Makefile.freebsd 2012-01-17 15:13:25.000000000 +0900
+@@ -0,0 +1,12 @@
++--- build/Makefile.freebsd.orig   2006-01-22 14:22:01.000000000 +0900
+++++ build/Makefile.freebsd 2012-01-17 15:13:16.000000000 +0900
++@@ -27,8 +27,7 @@
++ Q="DEFINES=-DSELECT_PROBLEM"
++
++ # FreeBSD needs some special flags to compile MaraDNS
++-CC="cc -O2 -Wall -pipe -D_THREAD_SAFE -pthread"
++-M=CC=$(CC)
+++M="CC=$(CC) -O2 -Wall -pipe -D_THREAD_SAFE -pthread"
++ V="VERSION=$(VERSION)"
++
++ # Debug

Modified: head/dns/maradns/pkg-descr
==============================================================================
--- head/dns/maradns/pkg-descr	Sat Aug  4 13:13:02 2012	(r302011)
+++ head/dns/maradns/pkg-descr	Sat Aug  4 15:05:23 2012	(r302012)
@@ -1,25 +1,25 @@
 MaraDNS is a package that implements the Domain Name Service (DNS), an
-essential internet service. MaraDNS has the following advantages: 
+essential internet service. MaraDNS has the following advantages:
 
 o Secure. MaraDNS has a security history as good as or better than any other DNS
   server. For example, MaraDNS has always randomized, using a secure random
   number generator, the Query ID and source port of DNS queries; and was never
-  vulnerable to the "new" cache poisoning attack. 
+  vulnerable to the "new" cache poisoning attack.
 
 o Supported. MaraDNS has a long history of being maintained and updated.
   Actively developed since 2001, MaraDNS continues to be fully supported: The
   most recent release was done on August 4, 2009. Deadwood, the code that will
-  become part of MaraDNS 2.0, is frequently updated. 
+  become part of MaraDNS 2.0, is frequently updated.
 
 o Easy to use. A basic recursive configuration needs only a single three-line
   configuration file. A basic authoritative configuration needs only a four-line
   configuration file and a one-line zone file. MaraDNS is fully documented, with
-  both easy-to-follow tutorials and a complete and up-to-date reference manual. 
+  both easy-to-follow tutorials and a complete and up-to-date reference manual.
 
 o Small. MaraDNS is well suited for embedded applications and other environments
   where the server must use the absolute minimum number of resources possible.
   MaraDNS' binary is smaller than that of any other currently maintained
-  recursive DNS server. 
+  recursive DNS server.
 
 o Open Source. MaraDNS is fully open-source, The license is a two-clause BSD
   license that is almost identical to the FreeBSD license.
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Bernhard Froehlich freebsd_committer 2012-08-04 16:06:11 UTC
State Changed
From-To: open->closed

Committed. Thanks!